Get Dashboard
Return all five v1 dashboard widgets for the requested time range.
curl --request GET \
--url https://api.example.com/admin/api/v1/dashboardimport requests
url = "https://api.example.com/admin/api/v1/dashboard"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/admin/api/v1/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"range": "1h",
"generatedAt": "2023-11-07T05:31:56Z",
"bucketSeconds": 123,
"requests": {
"total": 123,
"deltaPct": 123,
"series": []
},
"latency": {
"p50Ms": 123,
"p95Ms": 123,
"p95DeltaPct": 123,
"series": []
},
"errorRate": {
"valuePct": 123,
"deltaPp": 123,
"series": []
},
"cost": {
"totalUsd": 123,
"deltaPct": 123,
"series": []
},
"topErrors": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Time-range filter values accepted by the dashboard endpoint.
1h, 24h, 7d, 30d Response
Successful Response
Top-level dashboard payload returned by GET /admin/api/v1/dashboard.
Time-range filter values accepted by the dashboard endpoint.
1h, 24h, 7d, 30d Headline + series for the Requests widget.
Show child attributes
Show child attributes
Headline + series for the Latency p50 / p95 widget.
Show child attributes
Show child attributes
Headline + series for the Error rate widget.
value_pct is a decimal fraction (0.0042 means 0.42 %).
delta_pp is a percentage-point delta as a decimal fraction
(-0.001 means the error rate dropped by 0.1 pp; NOT a relative %).
Show child attributes
Show child attributes
Headline + series for the Total cost widget.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
